gRPC C#
gRPC C#
Namespaces
Grpc.Core
IClientStreamWriter(T) Interface
IClientStreamWriter(T) Methods
CompleteAsync Method

IClientStreamWriter T Methods

The IClientStreamWriter
T
generic type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| CompleteAsync | Completes/closes the stream. Can only be called once there is no pending write. No writes should follow calling this.
| WriteAsync | Writes a single asynchronously. Only one write can be pending at a time. (Inherited from IAsyncStreamWriter T .)

Top
Extension Methods

| Name | Description
--- | --- | ---
| WriteAllAsync T | Writes all elements from given enumerable to the stream. Completes the stream afterwards unless close = false. (Defined by AsyncStreamExtensions.)

Top
See Also

#### Reference

IClientStreamWriter
T
Interface
Grpc.Core Namespace